## gdisk 0.5.1

=== Makefile ===
CC=gcc
CXX=g++
#CFLAGS=-O2 -fpack-struct
CFLAGS=-O2 -fpack-struct -D_FILE_OFFSET_BITS=64 -g
CXXFLAGS=-O2 -fpack-struct -Wuninitialized -Wreturn-type -D_FILE_OFFSET_BITS=64 -g
LIB_NAMES=crc32 support gptpart mbr gpt bsd parttypes attributes
LIB_SRCS=$(NAMES:=.cc)
LIB_OBJS=$(LIB_NAMES:=.o)
LIB_HEADERS=$(LIB_NAMES:=.h)
DEPEND= makedepend $(CFLAGS)

#$(APPNAME):	$(MBR2GPT_OBJS)
#	$(CC) $(MBR2GPT_OBJS) -o $@

gdisk:	$(LIB_OBJS) gdisk.o
	$(CXX) $(LIB_OBJS) gdisk.o -o gdisk

wipegpt:	$(LIB_OBJS) wipegpt.o
	$(CXX) $(LIB_OBJS) wipegpt.o -o wipegpt

lint:	#no pre-reqs
	lint $(SRCS)

clean:	#no pre-reqs
	rm -f core *.o *~ gdisk

# what are the source dependencies
depend: $(SRCS)
	$(DEPEND) $(SRCS)

$(OBJS):

# DO NOT DELETE

## gdisk 0.6.14

=== Makefile ===
CC=gcc
CXX=g++
CFLAGS+=-D_FILE_OFFSET_BITS=64
CXXFLAGS+=-Wall -D_FILE_OFFSET_BITS=64
LDFLAGS+=
LIB_NAMES=crc32 support guid partnotes gptpart mbr gpt bsd parttypes attributes diskio diskio-unix
LIB_SRCS=$(NAMES:=.cc)
LIB_OBJS=$(LIB_NAMES:=.o)
LIB_HEADERS=$(LIB_NAMES:=.h)
DEPEND= makedepend $(CXXFLAGS)

all:	gdisk sgdisk

gdisk:	$(LIB_OBJS) gdisk.o gpttext.o
	$(CXX) $(LIB_OBJS) gdisk.o gpttext.o $(LDFLAGS) -luuid -o gdisk

sgdisk: $(LIB_OBJS) sgdisk.o
	$(CXX) $(LIB_OBJS) sgdisk.o $(LDFLAGS) -luuid -lpopt -o sgdisk

lint:	#no pre-reqs
	lint $(SRCS)

clean:	#no pre-reqs
	rm -f core *.o *~ gdisk sgdisk

# what are the source dependencies
depend: $(SRCS)
	$(DEPEND) $(SRCS)

$(OBJS):
	$(CRITICAL_CXX_FLAGS) 

# DO NOT DELETE

=== debian/changelog ===
gdisk (0.6.14-1) unstable; urgency=low

  * New upstream release, include new sgdisk binary (Closes: #599437)
  * debian/patches/manpages.diff: Escape ' in gdisk.8
    (hyphen-used-as-minus-sign lintian's complain)
  * debian/rules: More simple version with debhelper 7.0.50
  * debian/control:
    + Depends on debhelper (>= 7.0.50~)
    + Add uuid-dev and libpopt0-dev to Build-Depends
    + Bump to Standards-Version 3.9.1 (no changes needed)
    + Warning on description to mention that gdisk is still beta software
  * debian/docs: add NEWS, (Upstream CHANGELOG is now NEWS file)
  * debian/manpages: add {s}gdisk.8 manpages
  * debian/watch: Point to right url (gptfdisk instead of gdisk, other project)
  * debian/copyright:
    + Add missing copyright holders (crc32.{cc,h})
    + Specify GPL-2 or later for crc32.{cc,h} files
  * Switch to dpkg-source 3.0 (quilt) format (remove debian/README.source)
  * Bump to Standards-Version 3.9.1 (no changes needed)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 26 Jan 2011 20:55:51 +0100

gdisk (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Drop tiny patch 01_spelling-error-in-binary (fixed upstream)

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 01 Dec 2009 21:04:25 +0100

gdisk (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #557516)

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 01 Nov 2009 15:39:17 +0000

=== debian/control ===
Source: gdisk
Section: admin
Priority: extra
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 7.0.50~), libpopt-dev, uuid-dev
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/gptfdisk/

Package: gdisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool for Intel-based Linux that works on Globally
 Unique Identifier (GUID) Partition Table (GPT)
 disks, rather than on the more common (through 2009)
 Master Boot Record (MBR) partition tables.
 .
 Please note that gdisk is still in beta version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Upstream Makefile don't provide install rule
override_dh_install:
	install -D gdisk  $(CURDIR)/debian/gdisk/sbin/gdisk
	install -D sgdisk $(CURDIR)/debian/gdisk/sbin/sgdisk

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/gptfdisk/gdisk-(.+)\.tgz

## gdisk 0.8.1

=== debian/changelog ===
gdisk (0.8.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 16 Oct 2011 16:31:22 +0000

gdisk (0.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Install cgdisk binary (curses based)
  * debian/manpages: Install cgdisk manpage
  * debian/control:
    + Remove Intel-based from description thanks Witold Baryluk
    (Closes: #642363)
    + Add libncurses5-dev in Build-Depends
  * debian/copyright: Change to new DEP-5 format
  * debian/patches/manpages.diff: Refresh patch to escape two hyphen

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 03 Oct 2011 20:46:30 +0200

gdisk (0.7.2-1) unstable; urgency=low

  * New upstream release, provide fixparts binary
  * debian/watch: Upstream has renamed tarball gptfdisk and it is now a tar.gz
  * debian/rules: Install fixparts binary
  * debian/manpages: Install fixparts.8 manpage
  * debian/control: Add Vcs-{Browser,Git}, point to collab-maint
  * Bump to Standards-Version 3.9.2 (no changes needed)
  * Add build-depends on libicu-dev

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 22 Jul 2011 15:10:17 +0200

=== debian/control ===
Source: gdisk
Section: admin
Priority: extra
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 7.0.50~), libpopt-dev, uuid-dev, libicu-dev,
               libncurses5-dev
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/gptfdisk/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gdisk.git
Vcs-Git: git://git.debian.org/collab-maint/gdisk.git

Package: gdisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool for that works on Globally Unique Identifier
 (GUID) Partition Table (GPT) disks, rather than
 on the more common (through 2009)
 Master Boot Record (MBR) partition tables.
 .
 Please note that gdisk is still in beta version.

## gdisk 0.8.2

=== debian/changelog ===
gdisk (0.8.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/manpages.diff:
    + Edit header with DEP3 format
    + Refresh original patch (as version has changed in the manpage)
    + Add an escape on single quote
    + Fix a minor typo (Closes: #651379)
  * debian/patches/eof_stdin.diff: avoid infinite loop when ^D in gdisk,
    thanks Gianluigi Tiesi (Closes: #660815)
  * debian/control:
    + Remove unnecessary "for" in long description
    (Closes: #644537)
    + Update Depends on debhelper v9
    + Bump to Standards-Version 3.9.3 (no changes needed)
  * debian/compat: Update compat to version 9
  * debian/copyright: Update url format

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 21 Mar 2012 23:18:43 +0100

=== debian/control ===
Source: gdisk
Section: admin
Priority: extra
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 9), libpopt-dev, uuid-dev, libicu-dev,
               libncurses5-dev
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/gptfdisk/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gdisk.git
Vcs-Git: git://git.debian.org/collab-maint/gdisk.git

Package: gdisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool that works on Globally Unique Identifier
 (GUID) Partition Table (GPT) disks, rather than
 on the more common (through 2009)
 Master Boot Record (MBR) partition tables.
 .
 Please note that gdisk is still in beta version.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 override_dh_install:
 	install -D gdisk  $(CURDIR)/debian/gdisk/sbin/gdisk
 	install -D sgdisk $(CURDIR)/debian/gdisk/sbin/sgdisk
+	install -D cgdisk $(CURDIR)/debian/gdisk/sbin/cgdisk
+	install -D fixparts $(CURDIR)/debian/gdisk/sbin/fixparts
 
 %:
 	dh $@

## gdisk 0.8.5

=== debian/changelog ===
gdisk (0.8.5-1ubuntu2) raring; urgency=low

  * d/p/fix-change_disk_uid-test.patch: Ensure all test failures result
    in a non-zero exit code from gdisk_test.sh.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Dec 2012 09:13:50 +0000

gdisk (0.8.5-1ubuntu1) raring; urgency=low

  * d/rules: Enable test script execution during package build. 

 -- James Page <james.page@ubuntu.com>  Tue, 04 Dec 2012 12:06:31 +0000

gdisk (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Refresh patch debian/patches/manpages.diff (hyphen as minus)
  * debian/rules: Enable hardening build flags
  * debian/docs: Install *.html upstream man2html pages
  * debian/doc-base: Register *.html pages and install an index
  * debian/lintian-overrides: fixparts doesn't use fortify functions

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 16 Jun 2012 14:30:59 +0200

gdisk (0.8.4-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS with gcc-4.7 (Closes: #667177)
    + Drop debian/patches/eof_stdin.diff, accepted upstream
    + Refresh debian/patches/manpages.diff (minor typo fixed upstream)

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 15 Apr 2012 22:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gdisk
 Section: admin
 Priority: extra
-Maintainer: Guillaume Delacour <gui@iroqwa.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, uuid-dev, libicu-dev,
                libncurses5-dev
 Standards-Version: 3.9.3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options at build time
export DEB_BUILD_HARDENING=1

# Upstream Makefile don't provide install rule
override_dh_install:
	install -D gdisk  $(CURDIR)/debian/gdisk/sbin/gdisk
	install -D sgdisk $(CURDIR)/debian/gdisk/sbin/sgdisk
	install -D cgdisk $(CURDIR)/debian/gdisk/sbin/cgdisk
	install -D fixparts $(CURDIR)/debian/gdisk/sbin/fixparts
	# install index page for doc-base
	install -D debian/index.html $(CURDIR)/debian/gdisk/usr/share/doc/gdisk/index.html

override_dh_auto_test:
	./gdisk_test.sh

%:
	dh $@

## gdisk 0.8.8

=== debian/changelog ===
gdisk (0.8.8-1ubuntu0.1) trusty-proposed; urgency=medium

  * debian/patches/bug-1285197.diff: Don't leave suffix uninitialised when
    none was passed to IeeeToInt. Fixes incorrect partition boundaries and
    other failures on ppc64el and possibly other architectures. (LP: #1285197)

 -- William Grant <wgrant@ubuntu.com>  Fri, 19 Jun 2015 19:34:36 +1000

gdisk (0.8.8-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:03:10 +0000

gdisk (0.8.8-1) unstable; urgency=low

  * New upstream release (Closes: #729958)
  * debian/patches/set_default_partition_type-test.diff don't use a kernel
    dependent default gpt type when creating a partition (Closes: #729957)
  * Bump to Standards-Version 3.9.5 (no changes needed)
  * *.lintian-overrides: Removed as fixparts use fortified functions
  * Refresh patch debian/patches/manpages.diff (hyphen as minus)

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 20 Dec 2013 17:41:44 +0100

gdisk (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Refresh patch debian/patches/manpages.diff (hyphen as minus)
  * Recommends groff-base instead of depends on it (Closes: #698622)
  * debian/patches/kfreebsd_character_devices.diff: all devices are characters
    devices on kFreeBSD, thanks Jeff Epler (Closes: #696813)
  * Run test suite at build time, thanks Michael Terry (Closes: #695173)
    + debian/patches/fix-change_disk_uid-test.diff: exit with 1 in case of
      error
    + debian/rules: launch gdisk_test.sh test script in override_dh_auto_test
  * Build a second gdisk package without Unicode support (Closes: #702544):
    + debian/control
    + debian/doc-base
    + debian/docs (same content)
    + debian/manpages (same content)
  * Bump to Standards-Version 3.9.4 (no changes needed)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 31 Jul 2013 21:42:39 +0200

=== debian/control ===
Source: gdisk
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 9), libpopt-dev, uuid-dev, libicu-dev,
               libncurses5-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/gptfdisk/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdisk.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gdisk.git

Package: gdisk
Architecture: any
Conflicts: gdisk-noicu
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool that works on Globally Unique Identifier
 (GUID) Partition Table (GPT) disks, rather than
 on the more common (through 2009)
 Master Boot Record (MBR) partition tables.
 .
 Please note that gdisk is still in beta version.

Package: gdisk-noicu
Architecture: any
Provides: gdisk
Conflicts: gdisk
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: groff-base
Description: GPT fdisk text-mode partitioning tool (without unicode support)
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool that works on Globally Unique Identifier
 (GUID) Partition Table (GPT) disks, rather than
 on the more common (through 2009)
 Master Boot Record (MBR) partition tables.
 .
 This package is not built with Unicode, for
 space-constrained systems.  For Unicode support,
 please install the gdisk package.
 .
 Please note that gdisk is still in beta version.

## gdisk 0.8.10

=== debian/changelog ===
gdisk (0.8.10-2ubuntu0.1) vivid-proposed; urgency=medium

  * debian/patches/bug-1285197.diff: Don't leave suffix uninitialised when
    none was passed to IeeeToInt. Fixes incorrect partition boundaries and
    other failures on ppc64el and possibly other architectures. (LP: #1285197)

 -- William Grant <wgrant@ubuntu.com>  Sat, 20 Jun 2015 10:10:22 +1000

gdisk (0.8.10-2) unstable; urgency=medium

  [ intrigeri ]
  * Fixed-bug-that-caused-spurious-1-exit-condition-in-g.patch: new patch,
    cherry-picked from upstream, that fixes spurious non-zero exit code
    in many cases. (Closes: #779797)

  [ Guillaume Delacour ]
  * Test partition table creation return code in upstream testsuite just to
    be sure the bug is fixed

 -- Guillaume Delacour <gui@iroqwa.org>  Thu, 12 Mar 2015 23:39:16 +0100

gdisk (0.8.10-1) unstable; urgency=medium

  * New upstream release:
    - libicu support has been removed by upstream
    - drop all libicu related Debian patches and files.
    - gdisk-noicu is now replaced by gdisk
    - document all this changes in debian/NEWS.
  * Build-Depends on ncurses with wide character support (libncursesw5-dev)
    instead of libncurses5-dev and include <ncursesw/ncurses.h> instead of
    <ncurses.h> in cgdisk (debian/patches/ncursesw5.diff)
  * Enable parallel building and use dpkg-buildflags instead of
    DEB_BUILD_HARDENING
  * debian/patches/enable_make_test.diff: Add a test target to upstream
    Makefile instead of overriding dh_auto_test
  * Refresh patch debian/patches/manpages.diff
  * Drop unnecessary debian/patches/gdisk_binary_dir.diff
  * gdisk.lintian-overrides: Re-add as fixparts false positive against fortify

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 20 Jul 2014 14:52:52 +0200

=== debian/control ===
Source: gdisk
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 9), libpopt-dev, uuid-dev, libncursesw5-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/gptfdisk/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdisk.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gdisk.git

Package: gdisk
Architecture: any
Replaces: gdisk-noicu (<< 0.8.10-1~)
Breaks: gdisk-noicu (<< 0.8.10-1~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool that works on Globally Unique Identifier
 (GUID) Partition Table (GPT) disks, rather than
 on the more common (through 2009)
 Master Boot Record (MBR) partition tables.
 .
 Please note that gdisk is still in beta version.

Package: gdisk-noicu
Depends: gdisk, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## gdisk 1.0.0

=== debian/changelog ===
gdisk (1.0.0-3) unstable; urgency=medium

  [ William Grant ]
  * debian/patches/bug-1285197.diff: Don't leave suffix uninitialised when
    none was passed to IeeeToInt. Fixes incorrect partition boundaries and
    other failures on ppc64el and possibly other architectures.

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 18 Jul 2015 18:44:52 +0000

gdisk (1.0.0-2) unstable; urgency=medium

  * Remove no more need transitional package gdisk-noicu

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 29 May 2015 00:33:53 +0200

gdisk (1.0.0-1) unstable; urgency=medium

  * New upstream release
    - drop Fixed-bug-that-caused-spurious-1-exit-condition-in-g.patch
    - refresh manpages.diff
    - Remove the beta note in debian/control Description field
  * Bump to Standards-Version 3.9.6 (no changes needed)
  * Add dep8 tests + patch gdisk_test.sh to redirect dd stderr to /dev/null
  * debian/patches/enable_make_test.diff: Update header to respect DEP-3

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 10 May 2015 23:51:43 +0200

## gdisk 1.0.1

=== debian/changelog ===
gdisk (1.0.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:41:23 +0000

gdisk (1.0.1-1) unstable; urgency=medium

  * New upstream release, drop included patches:
    - set_default_partition_type-test.diff
    - kfreebsd_character_devices.diff
    - test_exit_condition.diff
    - fix-change_disk_uid-test.diff
    - dep8_dd_stderr.diff
    - bug-1285197.diff
    - enable_make_test.diff

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 23 Oct 2015 21:36:17 +0200

=== debian/control ===
Source: gdisk
Section: admin
Priority: extra
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 9), libpopt-dev, uuid-dev, libncursesw5-dev
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/gptfdisk/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdisk.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gdisk.git

Package: gdisk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool that works on Globally Unique Identifier
 (GUID) Partition Table (GPT) disks, rather than
 on the more common (through 2009)
 Master Boot Record (MBR) partition tables.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options at build time
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_build:
	dh_auto_build --parallel

# Upstream Makefile don't provide install rule
override_dh_install:
	install -D gdisk  $(CURDIR)/debian/gdisk/sbin/gdisk
	install -D sgdisk $(CURDIR)/debian/gdisk/sbin/sgdisk
	install -D cgdisk $(CURDIR)/debian/gdisk/sbin/cgdisk
	install -D fixparts $(CURDIR)/debian/gdisk/sbin/fixparts
	# install index page for doc-base
	install -D debian/index.html \
		$(CURDIR)/debian/gdisk/usr/share/doc/gdisk/index.html

%:
	dh $@

## gdisk 1.0.3

=== debian/changelog ===
gdisk (1.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #870819)
  * Bump to Standards-Version 4.0.0 (no changes needed)
  * Change Vcs-{Browser,Git} to use https instead of http/git
  * Fix FTCBFS: Pass triplet-prefixed CXX to make, thanks Helmut Grohne
    (Closes: #836455)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 20 Sep 2017 22:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, uuid-dev, libncursesw5-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://sourceforge.net/projects/gptfdisk/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdisk.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/gdisk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gdisk.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gdisk.git
 
 Package: gdisk
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # hardening options at build time
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/architecture.mk
+ifeq ($(origin CXX),default)
+	CXX = $(DEB_HOST_GNU_TYPE)-g++
+endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -10,7 +15,7 @@
 endif
 
 override_dh_auto_build:
-	dh_auto_build --parallel
+	dh_auto_build --parallel -- CXX=$(CXX)
 
 # Upstream Makefile don't provide install rule
 override_dh_install:

=== debian/tests/control ===
# change binary location from ./ to /sbin/ in gdisk_test.sh
Test-Command: sed -i "s|^\(.*\)GDISK_BIN=./\(.*\)|\\1GDISK_BIN=/sbin/\\2|" ./gdisk_test.sh && ./gdisk_test.sh
Depends: gdisk

## gdisk 1.0.3.1

=== debian/changelog ===
gdisk (1.0.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 09 Feb 2021 12:36:19 +0800

gdisk (1.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/alignment-fixes.diff: Reset struct alignment back
    to standard after each #pragma pack (n) (Closes: #898985)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 15 Dec 2018 11:57:39 +0100

## gdisk 1.0.4

=== debian/changelog ===
gdisk (1.0.4-3) unstable; urgency=medium

  * Remove extra newline breaking machine-readability of debian/copyright

 -- Jonathan Carter <jcc@debian.org>  Mon, 16 Sep 2019 09:09:32 +0000

gdisk (1.0.4-2) unstable; urgency=medium

  * Adopt package (Closes: #939421)
    - Thank you to Guillaume Delacour for his previous work on this package
  * Update standards version to 4.4.0
    - Change priority from 'extra' to 'optional'
    - Set secure copyright specification URI in debian/copyright
    - Remove obsolete debian/dirs
  * Upgrade to debhelper-compat (=12)
  * Update description so that it's clearer what gdisk would be used for
  * Initiate Vcs on salsa.debian.org, set fields in control file
  * Update copyright years
  * wrap-and-sort
  * Remove debian/NEWS that is no longer interesting

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Sep 2019 10:46:35 +0000

gdisk (1.0.4-1) unstable; urgency=medium

  * Salvaging upload. Closes: #932750
  * New upstream version 1.0.4. Closes: #769631, #932483

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 12 Aug 2019 19:39:41 +0200

=== debian/control ===
Source: gdisk
Section: admin
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12),
               libncursesw5-dev,
               libpopt-dev,
               uuid-dev
Standards-Version: 4.4.0
Homepage: http://sourceforge.net/projects/gptfdisk/
Vcs-Git: https://salsa.debian.org/debian/gdisk.git
Vcs-Browser: https://salsa.debian.org/debian/gdisk

Package: gdisk
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: groff-base
Description: GPT fdisk text-mode partitioning tool
 GPT fdisk (aka gdisk) is a text-mode partitioning
 tool that provides utilities for Globally Unique
 Identifier (GUID) Partition Table (GPT) disks.
 .
 Features:
 .
  - Edit GUID partition table definitions
  - In place conversion of BSD disklabels to GPT
  - In place conversion of MBR to GPT
  - In place conversion of GPT to MBR
  - Create hybrid MBR/GPT layouts
  - Repair damaged GPT data structures
  - Repair damaged MBR structures
  - Back up GPT data to a file (and restore from file)

## gdisk 1.0.5

=== debian/changelog ===
gdisk (1.0.5-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2020 11:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
                libncursesw5-dev,
                libpopt-dev,
                uuid-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/gptfdisk/
 Vcs-Git: https://salsa.debian.org/debian/gdisk.git
 Vcs-Browser: https://salsa.debian.org/debian/gdisk

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 # hardening options at build time
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/tests/control ===
Test-Command: sed -i "s|^\(.*\)GDISK_BIN=./\(.*\)|\\1GDISK_BIN=/sbin/\\2|" ./gdisk_test.sh && ./gdisk_test.sh
Depends: gdisk

## gdisk 1.0.6

=== Makefile ===
CFLAGS+=-D_FILE_OFFSET_BITS=64
#CXXFLAGS+=-Wall -D_FILE_OFFSET_BITS=64 -D USE_UTF16
CXXFLAGS+=-Wall -D_FILE_OFFSET_BITS=64
LDFLAGS+=
LIB_NAMES=crc32 support guid gptpart mbrpart basicmbr mbr gpt bsd parttypes attributes diskio diskio-unix
MBR_LIBS=support diskio diskio-unix basicmbr mbrpart
LIB_OBJS=$(LIB_NAMES:=.o)
MBR_LIB_OBJS=$(MBR_LIBS:=.o)
LIB_HEADERS=$(LIB_NAMES:=.h)
DEPEND= makedepend $(CXXFLAGS)

all:	cgdisk gdisk sgdisk fixparts

gdisk:	$(LIB_OBJS) gdisk.o gpttext.o
	$(CXX) $(LIB_OBJS) gdisk.o gpttext.o $(LDFLAGS) -luuid $(LDLIBS) -o gdisk
#	$(CXX) $(LIB_OBJS) gdisk.o gpttext.o $(LDFLAGS) -licuio -licuuc -luuid -o gdisk

cgdisk: $(LIB_OBJS) cgdisk.o gptcurses.o
	$(CXX) $(LIB_OBJS) cgdisk.o gptcurses.o $(LDFLAGS) -luuid -lncursesw $(LDLIBS) -o cgdisk
#	$(CXX) $(LIB_OBJS) cgdisk.o gptcurses.o $(LDFLAGS) -licuio -licuuc -luuid -lncurses -o cgdisk

sgdisk: $(LIB_OBJS) sgdisk.o gptcl.o
	$(CXX) $(LIB_OBJS) sgdisk.o gptcl.o $(LDFLAGS) -luuid -lpopt $(LDLIBS) -o sgdisk
#	$(CXX) $(LIB_OBJS) sgdisk.o gptcl.o $(LDFLAGS) -licuio -licuuc -luuid -lpopt -o sgdisk

fixparts: $(MBR_LIB_OBJS) fixparts.o
	$(CXX) $(MBR_LIB_OBJS) fixparts.o $(LDFLAGS) $(LDLIBS) -o fixparts

test:
	./gdisk_test.sh

lint:	#no pre-reqs
	lint $(SRCS)

clean:	#no pre-reqs
	rm -f core *.o *~ gdisk sgdisk cgdisk fixparts

# what are the source dependencies
depend: $(SRCS)
	$(DEPEND) $(SRCS)

$(OBJS):
	$(CRITICAL_CXX_FLAGS) 

# makedepend dependencies below -- type "makedepend *.cc" to regenerate....
# DO NOT DELETE

=== debian/changelog ===
gdisk (1.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Restrictions: allow-stderr for autopkgtest. (Closes: #981231)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 09 Feb 2021 11:05:39 +0530

gdisk (1.0.6-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.5.1
  * Upgrade to debhelper-compat level 13
  * Remove patch for manpage typo (no longer needed)

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Archive, Repository.
  * Drop unnecessary dh arguments: --parallel

 -- Jonathan Carter <jcc@debian.org>  Tue, 26 Jan 2021 21:02:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libncursesw5-dev,
                libpopt-dev,
                uuid-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/gptfdisk/
 Vcs-Git: https://salsa.debian.org/debian/gdisk.git

=== debian/watch ===
version=3
http://sf.net/gptfdisk/gptfdisk-(.+)\.tar.gz

## gdisk 1.0.8

=== debian/changelog ===
gdisk (1.0.8-4build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:53:46 +0100

gdisk (1.0.8-4) unstable; urgency=medium

  * Include patch to fix ftbfs with new ncurses (Closes: #994676)

 -- Jonathan Carter <jcc@debian.org>  Tue, 22 Mar 2022 13:46:52 +0200

gdisk (1.0.8-3) unstable; urgency=medium

  * Fix standards version, set to 4.6.0 (Fixes: #993732)

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Sep 2021 10:12:30 +0200

gdisk (1.0.8-2) unstable; urgency=medium

  * Upload to unstable
  * Update standards version to 4.6.1
  * Upgrade to debhelper-compat level 13

 -- Jonathan Carter <jcc@debian.org>  Wed, 01 Sep 2021 15:08:51 +0200

gdisk (1.0.8-1) experimental; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 01 Sep 2021 14:04:26 +0200

gdisk (1.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 07 Apr 2021 12:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libncursesw5-dev,
                libpopt-dev,
                uuid-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/gptfdisk/
 Vcs-Git: https://salsa.debian.org/debian/gdisk.git

## gdisk 1.0.9

=== debian/changelog ===
gdisk (1.0.9-2) UNRELEASED; urgency=medium

  * update

 -- Jonathan Carter <jcc@debian.org>  Tue, 07 Jun 2022 21:28:56 +0800

gdisk (1.0.9-2) unstable; urgency=medium

  * Fix UUID generation (Closes: #1011006)

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Jun 2022 14:42:03 +0200

gdisk (1.0.9-1) unstable; urgency=medium

  * New upstream release (Closes: #873452, #876393, #989476, #948435)
  * Remove patch, now applied upstream
  * Update debian/watch to version 4

 -- Jonathan Carter <jcc@debian.org>  Mon, 18 Apr 2022 11:07:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 endif
 
 override_dh_auto_build:
-	dh_auto_build --parallel -- CXX=$(CXX)
+	dh_auto_build -- CXX=$(CXX)
 
 # Upstream Makefile don't provide install rule
 override_dh_install:

## gdisk 1.0.10

=== debian/changelog ===
gdisk (1.0.10-2) unstable; urgency=medium

  * Upload to unstable 

 -- Jonathan Carter <jcc@debian.org>  Sat, 20 Jul 2024 04:20:51 +0200

gdisk (1.0.10-2~exp1) experimental; urgency=medium

  * Add dh-sequence-movetousr to Build-Depends
    (Closes: #1073679)
  * Update standards version to 4.7.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 19 Jun 2024 12:55:15 +0200

gdisk (1.0.10-1) unstable; urgency=medium

  * New upstream release 
  * Remove debian/patches, previously from upstream commits,
    now in release

 -- Jonathan Carter <jcc@debian.org>  Mon, 04 Mar 2024 19:11:41 +0200

gdisk (1.0.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch by Håvard F. Aasen to fix data corruption, FTBFS with
    popt 1.19 (Closes: #1020446)

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Oct 2022 14:32:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-movetousr,
                libncursesw5-dev,
                libpopt-dev,
                uuid-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/gptfdisk/
 Vcs-Git: https://salsa.debian.org/debian/gdisk.git

=== debian/tests/control ===
Test-Command: sed -i "s|^\(.*\)GDISK_BIN=./\(.*\)|\\1GDISK_BIN=/sbin/\\2|" ./gdisk_test.sh && ./gdisk_test.sh
Depends: gdisk
Restrictions: allow-stderr
